# backportability
%define _localstatedir /var
%define debug_package %{nil}

Summary:	Flash Player plugin for browsers
Name:		flash-player-plugin
Version:	28.0.0.126
Release:	1
License:	Proprietary
Url:		http://www.adobe.com/products/flashplayer/
Source0:	https://fpdownload.adobe.com/get/flashplayer/pdc/%{version}/flash_player_npapi_linux.i386.tar.gz
Source1:	https://fpdownload.adobe.com/get/flashplayer/pdc/%{version}/flash_player_npapi_linux.x86_64.tar.gz
Source100:	%{name}.rpmlintrc
Group:		Networking/WWW
Requires:	curl
Requires(post):	curl
Provides:	flashplayer-plugin == %{version}

# obtained by objdump -x /usr/lib/mozilla/plugins/libflashplayer.so | grep NEEDED
# helper: for i in $(objdump -p libflashplayer.so  | grep NEEDED | awk '{ print $2 }'); do
#	  echo -n "$i: "; rpm -qf /usr/lib64/$i; done
#		libX11.so.6	libXext.so.6	libXt.so.6	libfreetype.so.6
Requires:	%{_lib}x11_6	%{_lib}xext6	%{_lib}xt6	%{_lib}freetype6
#		libfontconfig.so.1	libgtk-x11-2.0.so.0, libgdk-x11-2.0.so.0
Requires:	%{_lib}fontconfig1	%{_lib}gtk+2.0_0
#		libatk-1.0.so.0	libgdk_pixbuf-2.0.so.0	libpangocairo-1.0.so.0, libpango-1.0.so.0
Requires:	%{_lib}atk1.0_0	%{_lib}gdk_pixbuf2.0_0	%{_lib}pango1.0_0
#		libcairo.so.2	libgobject-2.0.so.0, libgmodule-2.0.so.0, libglib-2.0.so.0
Requires:	%{_lib}cairo2	%{_lib}glib2.0_0
#		libnss3.so, libsmime3.so, libssl3.so	libplds4.so, libplc4.so, libnspr4.so
Requires:	%{_lib}nss3				%{_lib}nspr4
# required for audio, dlopened:
Requires:	%{_lib}alsa2
# dlopened:
Requires:	%{_lib}curl4
# dlopened, for video acceleration:
Suggests:	%{_lib}vdpau1
#
Obsoletes:	FlashPlayer < 9.0.115.0-5
Obsoletes:	flashplayer < %{version}
Obsoletes:	flash-plugin < %{version}
Obsoletes:	FlashPlayer-plugin < %{version}
Obsoletes:	flashplayer-plugin < %{version}

# Conflict with free plugins to avoid user confusion as to which one is
# actually used:
Conflicts:	gnash-firefox-plugin
Conflicts:	swfdec-mozilla
Conflicts:	lightspark-mozilla-plugin
Conflicts:	libflashsupport < 0.20080000.1
Obsoletes:	flash-player-plugin10.2 < 10.2.152

%description
Adobe Flash Player plugin for browsers.

NOTE: This package does not contain the Flash Player itself. The
software will be automatically downloaded from Adobe during package
installation. Alternatively you can use the command
"download-flash-player-plugin" manually.

Installing this package indicates acceptance of the EULA, available
from http://www.adobe.com/products/eulas/players/flash/.

%files
%{_bindir}/flash-player-properties
%{_libdir}/mozilla/plugins/*.so
%{_datadir}/applications/*.desktop
%{_datadir}/icons/*
%{_datadir}/pixmaps/*

#-------------------------------------------------------------------

%package kde
Summary:	KDE workspace files
Group:		Networking/WWW
Requires:	%{name} = %{version}

%description kde
Adobe Flash files to work with KDE

%files kde
%{_libdir}/kde4/kcm_adobe_flash_player.so
%ifarch x86_64
# Adobe added symlink for some reason
/usr/lib/kde4/kcm_adobe_flash_player.so
%endif
%{_datadir}/kde4/*

#-------------------------------------------------------------------

%prep
%setup -c -T

%build

%install
mkdir -p %{buildroot}
cd %{buildroot}
%ifarch x86_64
tar xzf %{SOURCE1}
%else
tar xzf %{SOURCE0}
%endif

mkdir -p %{buildroot}%{_libdir}/mozilla/plugins/
chmod 0755 libflashplayer.so
mv libflashplayer.so %{buildroot}%{_libdir}/mozilla/plugins/

rm -f %{buildroot}/readme.txt
rm -rf %{buildroot}/LGPL
rm -rf %{buildroot}/license.pdf

%changelog
